%define	upstream_name    Digest-MD2
%define	upstream_version 2.04

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 17

Summary:    Perl interface to the MD2 Algorithm
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/authors/id/GAAS/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl-devel
Provides:   perl-MD2
Requires:   perl

# Don't "provide" private Perl libs
%{?perl_default_filter}

%description
Digest-MD2 module for perl.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build OPTIMIZE="$RPM_OPT_FLAGS"

%check
%__make test

%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml README
%{_mandir}/*/*
%{perl_vendorarch}/Digest
%{perl_vendorarch}/auto


%changelog
* Wed Jun 17 2020 umeabot <umeabot> 2.40.0-17.mga8
+ Revision: 1594556
- Rebuild for perl 5.32

* Sat Feb 15 2020 umeabot <umeabot> 2.40.0-16.mga8
+ Revision: 1528834
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Mon Aug 26 2019 tv <tv> 2.40.0-15.mga8
+ Revision: 1432703
- rebuild with perl-5.30

* Fri Sep 21 2018 umeabot <umeabot> 2.40.0-14.mga7
+ Revision: 1292818
- Mageia 7 Mass Rebuild

* Wed Aug 08 2018 pterjan <pterjan> 2.40.0-13.mga7
+ Revision: 1249100
- Rebuild for perl 5.28

* Mon Oct 02 2017 tv <tv> 2.40.0-12.mga7
+ Revision: 1164080
- rebuild with fixed rpm for missing autodeps

* Thu Aug 31 2017 pterjan <pterjan> 2.40.0-11.mga7
+ Revision: 1148867
- Rebuild for perl ABI changes

* Sat Jul 22 2017 neoclust <neoclust> 2.40.0-10.mga7
+ Revision: 1127044
- Rebuild against new Perl 5.26

* Sun Jun 19 2016 pterjan <pterjan> 2.40.0-9.mga6
+ Revision: 1025788
- Rebuild for perl 5.22.2

* Fri Feb 12 2016 umeabot <umeabot> 2.40.0-8.mga6
+ Revision: 957216
- Mageia 6 Mass Rebuild

* Fri Jun 26 2015 tv <tv> 2.40.0-7.mga6
+ Revision: 844861
- rebuild for soname-ifed perl

* Tue Jun 23 2015 shlomif <shlomif> 2.40.0-6.mga6
+ Revision: 840678
- Rebuild for the new perl

* Wed Oct 15 2014 umeabot <umeabot> 2.40.0-5.mga5
+ Revision: 750644
- Second Mageia 5 Mass Rebuild

* Thu Oct 02 2014 tv <tv> 2.40.0-4.mga5
+ Revision: 735613
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 2.40.0-3.mga5
+ Revision: 684362
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 pterjan <pterjan> 2.40.0-2.mga5
+ Revision: 631124
- Rebuild for perl 5.20

* Tue May 06 2014 jquelin <jquelin> 2.40.0-1.mga5
+ Revision: 620550
- update to 2.04

* Sat Oct 19 2013 umeabot <umeabot> 2.30.0-7.mga4
+ Revision: 524102
- Mageia 4 Mass Rebuild

* Wed May 29 2013 tv <tv> 2.30.0-6.mga4
+ Revision: 430009
- rebuild for new perl

* Sun Jan 13 2013 umeabot <umeabot> 2.30.0-5.mga3
+ Revision: 365923
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 30 2012 jquelin <jquelin> 2.30.0-4.mga3
+ Revision: 250565
- rebuild for perl 5.16

* Sat Jun 11 2011 sander85 <sander85> 2.30.0-3.mga2
+ Revision: 104211
- perl 5.14

* Fri Jan 21 2011 jquelin <jquelin> 2.30.0-2.mga1
+ Revision: 30154
- mageia rebuild
- imported package perl-Digest-MD2


* Tue Jul 20 2010 Jérôme Quelin <jquelin@mandriva.org> 2.30.0-2mdv2011.0
+ Revision: 555242
- rebuild

* Sat Aug 01 2009 Jérôme Quelin <jquelin@mandriva.org> 2.30.0-1mdv2010.0
+ Revision: 407000
- rebuild using %%perl_convert_version

* Thu Jul 31 2008 Thierry Vignaud <tv@mandriva.org> 2.03-7mdv2009.0
+ Revision: 256681
- rebuild

* Tue Jan 15 2008 Thierry Vignaud <tv@mandriva.org> 2.03-5mdv2008.1
+ Revision: 152064
- rebuild

* Thu Dec 20 2007 Olivier Blin <oblin@mandriva.com> 2.03-4mdv2008.1
+ Revision: 135833
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request


* Mon Jan 15 2007 Olivier Thauvin <nanardon@mandriva.org> 2.03-4mdv2007.0
+ Revision: 109319
- rebuild

  + Guillaume Rousse <guillomovitch@mandriva.org>
    - Import perl-Digest-MD2

* Fri Jan 13 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 2.03-3mdk
- Rebuild

* Mon Nov 15 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 2.03-2mdk
- rebuild for new perl, clean up spec

* Wed Apr 14 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 2.03-1mdk
- 2.03.

